import request from "@/utils/request";

// 查询居住地列表分页
export function doGetAddressList(data) {
  return request({
    url: "/admin/liveAddress/pageList",
    method: "post",
    data,
  });
}

// 添加-编辑
export function doEditAddress(data) {
  return request({
    url: "/admin/liveAddress/edit",
    method: "post",
    data,
  });
}
// 删除
// export function doDeleteBuyer(id) {
//   return request({
//     url: "/admin/auth/doDeleteAdmin",
//     method: "delete",
//     params: {
//       id: id,
//     },
//   });
// }
export function doDeleteAddress(liveAddressId) {
  return request({
    url: `/admin/liveAddress/delete/${liveAddressId}`,
    method: "delete",
  });
}

