import request from "@/utils/request";

// 居住事由列表
export function doGetLiveReasonList() {
  return request({
    url: "/admin/revord/liveReasonList",
    method: "get",
  });
}

// 文化程度列表
export function doGetEducationalLevelList() {
  return request({
    url: "/admin/revord/educationalLevelList",
    method: "get",
  });
}

// 婚姻状况列表
export function doGetMaritalStatusList() {
  return request({
    url: "/admin/revord/maritalStatusList",
    method: "get",
  });
}

// 政治面貌列表
export function doGetpoliticalOutlookList() {
  return request({
    url: "/admin/revord/politicalOutlookList",
    method: "get",
  });
}

// 从事职业列表
export function doGetCareerList() {
  return request({
    url: "/admin/revord/careerList",
    method: "get",
  });
}

// 居住处所列表
export function doGetDwellingPlaceList() {
  return request({
    url: "/admin/revord/dwellingPlaceList",
    method: "get",
  });
}

// 快速选择
export function doLiveAddressList(data) {
  return request({
    url: "/admin/revord/liveAddressList",
    method: "post",
    data,
  });
}
// 登记
export function doRecordSubmit(data) {
  return request({
    url: "/admin/revord/recordSubmit",
    method: "post",
    data,
  });
}

// 根据身份证号获取缓存
export function doInfoCache(idNumber) {
  return request({
    url: "/admin/revord/infoCache",
    method: "get",
    params: idNumber,
  });
}




// 删除
// export function doDeleteBuyer(id) {
//   return request({
//     url: "/admin/auth/doDeleteAdmin",
//     method: "delete",
//     params: {
//       id: id,
//     },
//   });
// }
export function doDeleteBuyer(id) {
  return request({
    url: `/admin/buyer/account/del/${id}`,
    method: "get",
  });
}

